Append Conversation Messages (M2M)
Append one or more messages to an in-progress Conversation. Authenticated with a BundleAccessToken for the SAME deployment the target Conversation belongs to. Message content is encrypted at rest by the provider before storage.
Authorization
BundleAccessToken AuthorizationBearer <token>
In: header
Path Parameters
conversation_id*Conversation Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/bundler/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \ -H "Content-Type: application/json" \ -d '{ "messages": [ { "role": "string", "content": "string" } ] }'Empty
Empty
Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}